package com.tofly.common.oauth.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.tofly.common.oauth.compent.ToflyAuth2ExceptionSerializer;
import org.springframework.http.HttpStatus;

/**
 * @author Administrator
 * @date 2019/9/12  14:02
 */
@JsonSerialize(using = ToflyAuth2ExceptionSerializer.class)
public class ForbiddenException extends ToflyAuth2Exception{
    public ForbiddenException(String msg, Throwable t) {
        super(msg);
    }

    @Override
    public String getOAuth2ErrorCode() {
        return "无权限访问";
    }

    @Override
    public int getHttpErrorCode() {
        return HttpStatus.FORBIDDEN.value();
    }
}
